Name:           ds-backup
Version:        0.6
Release:        1%{?dist}

Summary:        OLPC DS backup & restore scripts
Group:          Applications/Archiving
License:        GPLv2
URL:            http://wiki.laptop.org/go/Ds-backup
Source0:        http://dev.laptop.org/~releases/mstone/SOURCES/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make

%description
ds-backup is a GPL-licensed collection of scripts for backing up and restoring
OLPC DataStore objects and metadata.

# - Dependencies of the client package are rsync, sugar-datastore,
# sugar, crond, and the python libs sha, urllib2. Everything else I
# think is pulled in by standard base or python-base

%package client

Summary:        OLPC DS backup & restore client
Group:          Applications/Archiving

Requires:       python
Requires:       rsync
Requires:       sugar-datastore
Requires:       sugar
Requires:       cronie

%package server

Summary:        OLPC DS backup & restore server
Group:          Applications/Archiving

Requires:       python
Requires:       rsync
Requires:       sugar-datastore
Requires:       sugar
Requires:       cronie

%description client
ds-backup-client is a GPL-licensed collection of scripts for backing up and
restoring OLPC DataStore objects and metadata.

%description server
ds-backup-server is a GPL-licensed collection of scripts for backing up and
restoring OLPC DataStore objects and metadata.

%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.build install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files client
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/cron.d/ds-backup
%{_bindir}/ds_backup.py
%{_bindir}/ds_backup.sh
%{_bindir}/growdatastore.py

%files server
%defattr(-,root,root,-)
%doc README COPYING AUTHORS
%{_bindir}/postprocess.py


%changelog
* Mon Jul 06 2008 Michael Stone <michael@laptop.org> - 0.6-1.olpc3
- Fix dependencies: crond -> cronie.

* Wed Jul 02 2008 Michael Stone <michael@laptop.org> - 0.5-1.olpc3
- Initial release of this spec.
